Summary: A grep tool for apache log files 
Name: apachegrep
Version: 0.3
Release: %mkrel 16
Source0: https://downloads.sourceforge.net/apachegrep/%{name}-%{version}.tar.bz2
License: GPL
Group: Text tools
Url: https://apachegrep.sourceforge.net/
Patch0: apachegrep-zcat.patch
BuildArch: noarch
Requires: gzip, bzip2

%description
apachegrep is a perl program to help webmasters go through their apache logs
and try to pullout various bits of information.
Built in the spirit of unix tools, it's designed to be used standalone or 
as part of a pipeline of tools to pore over common (or combined) logs and 
print out entire lines, specified fields or a simple count of matching lines.
You specify what fields you want and what regular expression you want applied
to that field.

It supports gzipped and bzipped log files.

%prep
%setup -q
%autopatch -p0

%build

%install
mkdir -p %buildroot/%{_mandir}/man1
mkdir -p %buildroot/%{_bindir}
install -m 755 apachegrep %buildroot/%{_bindir}
install -m 644 apachegrep.1 %buildroot/%{_mandir}/man1

%files
%doc INSTALL CHANGELOG LICENSE README TODO 
%{_bindir}/apachegrep
%{_mandir}/man1/*







%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3-16.mga10
+ Revision: 2196845
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.3-15.mga9
+ Revision: 1800872
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.3-14.mga8
+ Revision: 1489820
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3-13.mga7
+ Revision: 1261190
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3-12.mga7
+ Revision: 1260024
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3-11.mga7
+ Revision: 1259794
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.3-10.mga6
+ Revision: 941379
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-9.mga5
+ Revision: 742838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-8.mga5
+ Revision: 677859
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-7.mga4
+ Revision: 502552
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3-6.mga3
+ Revision: 345927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.3-5.mga3
+ Revision: 310487
- spec clean-up
- update RPM group

* Wed Jan 19 2011 erwan <erwan> 0.3-4.mga1
+ Revision: 24797
- imported package apachegrep


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3-4mdv2011.0
+ Revision: 616564
- the mass rebuild of 2010.0 packages

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 0.3-3mdv2010.0
+ Revision: 423978
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2009.0
+ Revision: 226156
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2008.1
+ Revision: 135820
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 27 2007 Erwan Velu <erwan@mandriva.org> 0.3-1mdv2007.1
+ Revision: 148903
- Import apachegrep

